package ru.dbotthepony.mc.otm.client.screen.panels;

import net.minecraft.world.item.ItemStack;
import ru.dbotthepony.mc.otm.client.screen.MatteryScreen;

import javax.annotation.Nonnull;
import javax.annotation.Nullable;
import java.util.function.Supplier;

public class SupplierSlotPanel extends AbstractSlotPanel {
	protected Supplier<ItemStack> stack_getter;

	public SupplierSlotPanel(@Nonnull MatteryScreen<?> screen, @Nullable EditablePanel parent, float x, float y, float width, float height, Supplier<ItemStack> supplier) {
		super(screen, parent, x, y, width, height);
		stack_getter = supplier;
	}

	public SupplierSlotPanel(@Nonnull MatteryScreen<?> screen, @Nullable EditablePanel parent, float x, float y, Supplier<ItemStack> supplier) {
		this(screen, parent, x, y, REGULAR_DIMENSIONS, REGULAR_DIMENSIONS, supplier);
	}

	@Nonnull
	@Override
	protected ItemStack getItemStack() {
		return stack_getter.get();
	}
}
